## ros-iron-desktop 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(desktop NONE)

find_package(ament_cmake REQUIRED)

ament_package()

=== debian/changelog ===
ros-iron-desktop (0.10.0-3jammy) jammy; urgency=high



 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 10 May 2022 16:00:00 -0000

ros-iron-desktop (0.9.3-3jammy) jammy; urgency=high



 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-desktop (0.9.2-3jammy) jammy; urgency=high

  * Add turtlesim to desktop (#29 <https://github.com/ros2/variants/issues/29>)
  * Contributors: Dirk Thomas

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 06 Jul 2020 16:00:00 -0000

ros-iron-desktop (0.9.1-3jammy) jammy; urgency=high



 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 27 May 2020 16:00:00 -0000

ros-iron-desktop (0.9.0-3jammy) jammy; urgency=high

  * Add multithreaded executor example to desktop (#25 <https://github.com/ros2/variants/issues/25>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <steven@openrobotics.org>  Sun, 10 May 2020 16:00:00 -0000

ros-iron-desktop (0.8.4-3jammy) jammy; urgency=high

  * add rqt_common_plugins to desktop (#18 <https://github.com/ros2/variants/issues/18>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 09 Dec 2019 16:00:00 -0000

ros-iron-desktop (0.8.3-3jammy) jammy; urgency=high



 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 19 Nov 2019 16:00:00 -0000

ros-iron-desktop (0.8.2-3jammy) jammy; urgency=high



 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 12 Nov 2019 16:00:00 -0000

ros-iron-desktop (0.8.1-3jammy) jammy; urgency=high

  Updated packages in demos repository.
  * Contributors: Steven! Ragnarök

 -- Steven! Ragnarök <steven@openrobotics.org>  Sun, 13 Oct 2019 16:00:00 -0000

ros-iron-desktop (0.8.0-3jammy) jammy; urgency=high



 -- Steven! Ragnarök <steven@openrobotics.org>  Sun, 13 Oct 2019 16:00:00 -0000

ros-iron-desktop (0.6.1-3jammy) jammy; urgency=high

  * Add C++ action client and server examples (#9 <https://github.com/ros2/variants/issues/9>)
  * Contributors: Shane Loretz

 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 11 Dec 2018 16:00:00 -0000

ros-iron-desktop (0.6.0-3jammy) jammy; urgency=high

  * Updated maintainer (#8 <https://github.com/ros2/variants/issues/8>)
  * Updated to use CMake language NONE for metapackages (#4 <https://github.com/ros2/variants/issues/4>)
  * Contributors: Mikael Arguedas, Steven! Ragnarök

 -- Steven! Ragnarök <steven@openrobotics.org>  Thu, 06 Dec 2018 16:00:00 -0000

ros-iron-desktop (0.5.1-3jammy) jammy; urgency=high



 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 17 Jul 2018 16:00:00 -0000

ros-iron-desktop (0.5.0-3jammy) jammy; urgency=high

  * define ROS 2 Bouncy variants (#1 <https://github.com/ros2/variants/issues/1>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 16 Jul 2018 16:00:00 -0000

=== debian/control ===
Source: ros-iron-desktop
Section: misc
Priority: optional
Maintainer: Steven! Ragnarök <steven@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-desktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-action-tutorials-cpp, ros-iron-action-tutorials-interfaces, ros-iron-action-tutorials-py, ros-iron-angles, ros-iron-composition, ros-iron-demo-nodes-cpp, ros-iron-demo-nodes-cpp-native, ros-iron-demo-nodes-py, ros-iron-depthimage-to-laserscan, ros-iron-dummy-map-server, ros-iron-dummy-robot-bringup, ros-iron-dummy-sensors, ros-iron-examples-rclcpp-minimal-action-client, ros-iron-examples-rclcpp-minimal-action-server, ros-iron-examples-rclcpp-minimal-client, ros-iron-examples-rclcpp-minimal-composition, ros-iron-examples-rclcpp-minimal-publisher, ros-iron-examples-rclcpp-minimal-service, ros-iron-examples-rclcpp-minimal-subscriber, ros-iron-examples-rclcpp-minimal-timer, ros-iron-examples-rclcpp-multithreaded-executor, ros-iron-examples-rclpy-executors, ros-iron-examples-rclpy-minimal-action-client, ros-iron-examples-rclpy-minimal-action-server, ros-iron-examples-rclpy-minimal-client, ros-iron-examples-rclpy-minimal-publisher, ros-iron-examples-rclpy-minimal-service, ros-iron-examples-rclpy-minimal-subscriber, ros-iron-image-tools, ros-iron-intra-process-demo, ros-iron-joy, ros-iron-lifecycle, ros-iron-logging-demo, ros-iron-pcl-conversions, ros-iron-pendulum-control, ros-iron-pendulum-msgs, ros-iron-quality-of-service-demo-cpp, ros-iron-quality-of-service-demo-py, ros-iron-ros-base, ros-iron-rqt-common-plugins, ros-iron-rviz-default-plugins, ros-iron-rviz2, ros-iron-teleop-twist-joy, ros-iron-teleop-twist-keyboard, ros-iron-tlsf, ros-iron-tlsf-cpp, ros-iron-topic-monitor, ros-iron-turtlesim, ros-iron-ros-workspace
Description: A package which extends 'ros_base' and includes high level packages like vizualization tools and demos.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-desktop//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
